slepc-3.10.1 2018-10-23
Report Typos and Errors

# NEPComputeError

Computes the error (based on the residual norm) associated with the i-th computed eigenpair.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPComputeError(NEP nep,PetscInt i,NEPErrorType type,PetscReal *error)

Collective on NEP

### Input Parameter

| nep | - the nonlinear eigensolver context
| i | - the solution index
| type | - the type of error to compute

### Output Parameter

| error | - the error

### Notes

The error can be computed in various ways, all of them based on the residual norm computed as ||T(lambda)x||_2 where lambda is the eigenvalue and x is the eigenvector.

### See Also

NEPErrorType, NEPSolve(), NEPGetErrorEstimate()

Location: src/nep/interface/nepsolve.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/nep/examples/tutorials/ex20.c.html
src/nep/examples/tutorials/ex20f90.F90.html